CMakeLists.txt File Reference

## Functions

| set (CMAKE_AUTOMOC OFF) find_package(GMock REQUIRED) set(CMAKE_AUTOMOC ON) include_directories($
| include_directories (${GMOCK_INCLUDE_DIRS}) include_directories($
| add_executable (properties_test properties_test.cpp) add_executable(signals_test signals_test.cpp) target_link_libraries(properties_test $
| target_link_libraries (signals_test ${GTEST_BOTH_LIBRARIES}) add_test(properties_test $

## Function Documentation

## add_executable()

add_executable | ( | properties_test properties_test. | cpp | ) |

Definition at line 9 of file tests/CMakeLists.txt.

## include_directories()

include_directories | ( |  | ${GMOCK_INCLUDE_DIRS} | ) |

Definition at line 6 of file tests/CMakeLists.txt.

## set()

set | ( | CMAKE_AUTOMOC | OFF | ) |

Definition at line 1 of file tests/CMakeLists.txt.

## target_link_libraries()

target_link_libraries | ( | signals_test ${GTEST_BOTH_LIBRARIES} |  | ) |

Definition at line 25 of file tests/CMakeLists.txt.